%define	version	1.8.0
%define	release 1mdk

Name:		crossfire-client
Version:	%{version}
Release:	%{release}
Summary:	Client for connecting to crossfire game servers
Group:		Games/Adventure
License:	GPL
URL:		http://crossfire.real-time.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source3:	%{name}-icon-small.png
Source4:	%{name}-icon-medium.png
Source5:	%{name}-icon-large.png
Patch0:		crossfire-client-1.8.0-glut-detect.patch.bz2

BuildRequires:	gtk2-devel
BuildRequires:	gtk+1.2-devel
BuildRequires:	SDL_image1.2-devel
BuildRequires:	libMesaglut-devel
BuildRequires:	alsa-lib-devel
Requires:	%{name}-data >= 1.7.1

%description
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet. 
It has multiplayer capability and presently runs under X11.

This package contains client for playing the new client/server based version
of Crossfire. It allows you to connect to crossfire servers around the world.
You do not need to install the crossfire server in order to play crossfire.


%prep
%setup -q
%patch0 -p1 -b .glut

autoconf

bzip2 -c ChangeLog > ChangeLog.bz2

%build
# If data file path is changed, crossfire-client-data spec file
# needs to be adjusted as well.
%configure2_5x \
	--disable-alsa \
	--with-sound-dir=%{_datadir}/%{name}/sounds \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# icons
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 0644 %{SOURCE5} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_gamesbindir}/gcfclient2 -cache -download_all_faces -fasttcpsend -nosplash -fog -opengl -showicon" \
icon="%{name}.png" \
longtitle="Client of Crossfire, a graphical adventure game (experimental)" \
needs="x11" \
section="More Applications/Games/Adventure" \
title="Experimental Crossfire Client"
?package(%{name}): \
command="%{_gamesbindir}/gcfclient -cache -download_all_faces -fasttcpsend -nosplash -fog -sdl -showicon" \
icon="%{name}.png" \
longtitle="Client of Crossfire, a graphical adventure game (stable)" \
needs="x11" \
section="More Applications/Games/Adventure" \
title="Traditional Crossfire Client"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog.bz2 NOTES README TODO
%{_gamesbindir}/*
%{_mandir}/man6/*

%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Mon Aug 15 2005 Abel Cheung <deaddog@mandriva.org> 1.8.0-1mdk
- New version
- Use GTK 2.x version client in menu
- Patch0: fix glut detection

* Tue Jun 07 2005 Abel Cheung <deaddog@mandriva.org> 1.7.1-1mdk
- New version
- Drop patch (upstream)
- Use ALSA
- Patch0: Fix gcc 4.0 compilation

* Sun Jun 06 2004 Abel Cheung <deaddog@deaddog.org> 1.7.0-2mdk
- Fix build on bigendian machines (SF patch #945090)

* Sat Jun 05 2004 Abel Cheung <deaddog@deaddog.org> 1.7.0-1mdk
- New version
- Data files moved to another package
- Combine everything else back into one package, the split caused
  too much trouble, and the library dependency isn't too problematic
- Move files to games related paths

* Thu Jul 3 2003 Austin Acton <aacton@yorku.ca> 1.5.0-1mdk:
- from Abel Cheung <maddog@linux.org.hk>:
  - 1.5.0
  - Patch0: errno patch
  - Subpackage restructure, partially rewrite spec
  - Source 3-5: I made some icons, the stock ones are too ...

* Sat Dec 22 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.0-4mdk
- rebuilt against libpng3.
- misc spec fixes.

* Wed May 30 2001 Abel Cheung <maddog@linux.org.hk> 1.0.0-3mdk
- Group and descriptions fix
- Oops I'm stupid, menu entry resides in wrong subpackage
- Intentionally let the icons in 2 clients overlap, till I figure
  out how to prevent this
- Add "-png -cache" argument to menu entries
- Seems CVS fixes don't work well, disable them for now
- Please blame Blue Lizard for this release :)

* Wed May 30 2001 Abel Cheung <maddog@linux.org.hk> 1.0.0-2mdk
- cfsndserv is expected to be under /usr/bin
- add menu entry for X11 crossfire client
- post/postun for x11 subpackage

* Mon May 14 2001 Abel Cheung <maddog@linux.org.hk> 1.0.0-1mdk
- Based on crossfire-client.spec in CVS
- 1.0.0 -- Hurray!
- More macros, but don't define _prefix anymore
- Bzip2'ed sources
- Add BuildRequires and BuildPrereq
- Add missing cfsndserv to sounds package
- Sounds really work now by default
- Modified Group, Summary and description
- Sounds package 0.95.4 doesn't exist, use 0.95.2. (In fact the 0.95.4
  packages ARE 0.95.2 packages)
- Move README and sample sound config from client package to sounds package
- Add menu entry for GTK version of client
- Rename SOURCE3 from client.gnome to crossfire-client.desktop
- Add smaller icons (resized from big one) and repackage as SOURCE4

